<?php

/** REGISTER SITTINGS OPTIONS**/
function register_fsb_settings() {
	//register admin page settings
	register_setting( 'fsb-settings-group', 'fsb_limit_price_option' );
	register_setting( 'fsb-settings-group', 'fsb_badge_text_option' );
	register_setting( 'fsb-settings-group', 'fsb_badge_color' );
	register_setting( 'fsb-settings-group', 'fsb_badge_text_color' );
}

function fsb_settings_page() {
	wp_register_style('fsb_badge_style', plugins_url('view/fsb_badge_style.css')); //Register style of fsb
	wp_enqueue_style('fsb_badge_style');
?>

<div class="wrap">
<h1>FREE SHIPPING BADGE</h1>
<p> If price higher of limit price Fee Shipping Badge will be showed below the product price.</p>
<form method="post" action="options.php">
    <?php settings_fields( 'fsb-settings-group' ); ?>
    <?php do_settings_sections( 'fsb-settings-group' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Limit Price</th>
        <td><input type="number" name="fsb_limit_price_option" value="<?php echo esc_attr( get_option('fsb_limit_price_option') ); ?>" /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row" class="" >Badge Text</th>
        <td><input type="text" name="fsb_badge_text_option" value="<?php echo esc_attr( get_option('fsb_badge_text_option') ); ?>" /></td>
        </tr>
		
		<tr valign="top">
        <th scope="row" class="" >Badge Color</th>
        <td><input type="color" name="fsb_badge_color" value="<?php echo esc_attr( get_option('fsb_badge_color') ); ?>" /></td>
        </tr>
		
		<tr valign="top">
        <th scope="row" class="" >Badge Text Color</th>
        <td><input type="color" name="fsb_badge_text_color" value="<?php echo esc_attr( get_option('fsb_badge_text_color') ); ?>" /></td>
        </tr>
		
    </table>
    
    <?php submit_button();?>
</form>
</div>
<?php } ?>